# GetPremiumClassification

Retrieve premium classification for a company's item based on its ItemCode and SystemCode.

`GET /api/v2/companies/{companyId}/items/{itemCode}/premiumClassification/{systemCode}`

**API:** AvaTax API
**Tag:** Items
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/crossborder/api/methods/Items/GetPremiumClassification/

## Description

Retrieves the premium classification for an ItemCode and SystemCode.
            
NOTE: If your item code contains any of these characters /, +, ?,",' ,% or #, please use the following encoding before making a request:
* Replace '/' with '\_-ava2f-\_'  For example: 'Item/Code' becomes 'Item_-ava2f-_Code'
* Replace '+' with '\_-ava2b-\_'  For example: 'Item+Code' becomes 'Item_-ava2b-_Code'
* Replace '?' with '\_-ava3f-\_'  For example: 'Item?Code' becomes 'Item_-ava3f-_Code'
* Replace '%' with '\_-ava25-\_'  For example: 'Item%Code' becomes 'Item_-ava25-_Code'
* Replace '#' with '\_-ava23-\_'  For example: 'Item#Code' becomes 'Item_-ava23-_Code'
* Replace ''' with '\_-ava27-\_'  For example: 'Item'Code' becomes 'Item_-ava27-_Code'
* Replace '"' with '\_-ava22-\_'  For example: 'Item"Code' becomes 'Item_-ava22-_Code'

### Security Policies

* This API requires one of the following user roles: AccountAdmin, AccountOperator, AccountUser, AvaTaxOnlyAccountAdmin, AvaTaxOnlyAccountUser, AvaTaxOnlyCompanyAdmin, AvaTaxOnlyCompanyUser, BatchServiceAdmin, CompanyAdmin, CompanyUser, CSPAdmin, CSPTester, ReturnsOnlyAccountAdmin, ReturnsOnlyAccountUser, ReturnsOnlyCompanyAdmin, ReturnsOnlyCompanyUser, SiteAdmin, SSTAdmin, SystemAdmin, TechnicalSupportAdmin, TechnicalSupportUser.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `companyId` | integer | path | Yes | The ID of the company that owns this item object |
| `itemCode` | string | path | Yes | The ItemCode of the item for which you want to retrieve premium classification |
| `systemCode` | string | path | Yes | The SystemCode for which you want to retrieve premium classification |
| `country` | string | query | No | Optional: Provide the country for which you want to retrieve the premium classification. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `ItemPremiumClassificationOutputModel` |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |
| 404 | Not Found |  |

### 200 Response: `ItemPremiumClassificationOutputModel`

Represents a Premium Classification output model associated with an item's SystemCode..

| Property | Type | Required | Description |
|---|---|---|---|
| `id` | string | No | ItemPremiumClassificationDetailId |
| `itemCode` | string | No | Item associated with this premium classification. Example: `ADP101`. |
| `companyId` | integer | No | CompanyId with which the Item is associated. Example: `12345`. |
| `hsCode` | string | No | The HS code associated with this item's premium classification. |
| `systemCode` | string | No | SystemCode associated with this premium classificaitons. Example: `HTS`. |
| `justification` | string | No | Justification why this HsCode is attached to this item. Example: `This projector is directly connected with ADP machine;(ITBTI2020-0052M-135100) BTI Reference ,(N293311) ruling.`. |
| `createdDate` | string | No | The date when this record was created. Example: `2026-07-02T04:05:13.1846349Z`. |
| `createdUserId` | integer | No | The user who created the record. Example: `12345`. |
| `country` | string | No | The country code associated with this premium classification. Example: `US`. |

## Example Request

```bash
curl -X GET "https://sandbox-rest.avatax.com/api/v2/companies/{companyId}/items/{itemCode}/premiumClassification/{systemCode}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```